import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:url_launcher/url_launcher.dart';
import 'package:webview_flutter_x5/webview_flutter.dart';

import 'ads/model/admob_settings.dart';

class IntraWebView extends StatefulWidget {
  AdmobSettings? _admobSettings;

  void init(AdmobSettings admobSettings) {
    _admobSettings = admobSettings;
  }

  @override
  _IntraWebViewState createState() => _IntraWebViewState();
}

class _IntraWebViewState extends State<IntraWebView> {
  _launchURL(String url) async {
    if (await canLaunch(url)) {
      await launch(url);
    } else {
      throw 'Could not launch $url';
    }
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        body: Stack(
      children: [
        WebView(
          gestureNavigationEnabled: true,
          navigationDelegate: (action) {
            Get.back();

             _launchURL(action.url);
             return NavigationDecision.navigate;
          },
          javascriptMode: JavascriptMode.unrestricted,
          initialUrl: '${widget._admobSettings!.customAds!.interstitialAdsUrl}',
        ),
        SizedBox(
          height: 10,
        ),
        Padding(
          padding: EdgeInsets.only(left: 20, right: 20, top: 45),
          child: Align(
              alignment: Alignment.topRight,
              child: InkWell(
                onTap: () {
                  Get.back();
                },
                child: Image(
                    image: AssetImage("assets/connecting/1.png"), height: 45),
              )),
        )
      ],
    ));
  }
}
